Delete Geo and CIDR map

Prev Next

Available in Classic and VPC

Delete a specified Geo/CIDR map.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
DELETE /gtm/v1/maps

Request headers

For information about the headers common to all Geo/CIDR map APIs, see Geo/CIDR map API request headers.

Request syntax

The request syntax is as follows.

{
  "list": [
    0,1,2
  ]
}

Request body

The following describes the request body.

Field Type Required Description
list List<Integer> Required Geo/CIDR map ID list

Request example

The following is a sample request.

curl --location --request DELETE 'https://globaltrafficmanager.apigw.ntruss.com/gtm/v1/maps' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--data '{
    "list": [
        ***
    ]
}'

Response

The following describes the response format.

Response status codes

For information about the HTTP status codes common to all Geo/CIDR map APIs, see Geo/CIDR map API response status codes.

Error code example

The following is a sample error code.

{
  "result": "FAIL",
  "error": {
    "errorCode": "05X000",
    "message": "Invalid value.<br>Hover your mouse over the displayed area to see the details in a tooltip.",
    "devMessage": "Invalid value.",
    "moreInfo": {
      "validationInfo": [
        {
          "fieldPath": "list[0]",
          "msg": "You don't have permissions for the map or the map doesn't exist."
        }
      ],
      "timestamp": "2022-11-16T19:22:00.430+09:00"
    }
  }
}